import { o as e, n as a, v as i, E as c, T as l } from "./index-DSGwv2Yx.js";
function u(r, t) {
  const n = a(r, "x", "tile", "string_or_numeric");
  i(n.rank === t.length, () => `Error in transpose: rank of input ${n.rank} must match length of reps ${t}.`);
  const o = { x: n }, s = { reps: t };
  return c.runKernel(l, o, s);
}
const p = /* @__PURE__ */ e({ tile_: u });
export {
  p as t
};
